import cv2

NUMBER_OF_FRAMES = 9999
RESOLUTION_FHD = (1920, 1080)

if __name__ == "__main__":
    v = cv2.VideoCapture('video.mp4')
	
    if v.isOpened():
        for i in range(NUMBER_OF_FRAMES):
            ret, frame = v.read()
            if ret:
                fhd = cv2.resize(frame, RESOLUTION_FHD)
                name = f'video{i:04}.jpg'
                print(f'\r{name}', end='')
                cv2.imwrite(name, fhd)
            else:
                print(f'\nCompleted: {i} frames')
                break
    else:
        print('Failed to open "video.mp4"')
            